Verify Login Code
curl --request POST \
--url https://api.centralcart.io/v1/webstore/auth/verify \
--header 'Content-Type: application/json' \
--header 'x-store-domain: <x-store-domain>' \
--data '
{
"email": "[email protected]",
"code": "123456"
}
'import requests
url = "https://api.centralcart.io/v1/webstore/auth/verify"
payload = {
"email": "[email protected]",
"code": "123456"
}
headers = {
"x-store-domain": "<x-store-domain>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-store-domain': '<x-store-domain>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '[email protected]', code: '123456'})
};
fetch('https://api.centralcart.io/v1/webstore/auth/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"token_type": "Bearer",
"expires_in": 2592000,
"customer": {
"email": "[email protected]",
"name": "João",
"avatar": null,
"discord_id": null,
"stats": {
"orders_count": 5,
"approved_orders_count": 4,
"total_spent": 189.6,
"first_order_at": "2024-01-10T12:04:55.000-03:00",
"last_order_at": "2024-03-03T23:43:12.000-03:00"
}
}
}{
"errors": [
{
"message": "Código inválido."
}
]
}{
"errors": [
{
"message": "Resource rate limit reached.",
"code": "RATE_LIMIT_REACHED"
}
]
}Autenticação
Verify Login Code
Confere o código e cria a sessão.
Mande o
access_token em Authorization: Bearer nas rotas que exigem sessão. Um cookie _cc_acct também é emitido, para o caso de o seu front ser servido no domínio da própria loja e conviver com páginas do storefront da CentralCart. Só as tentativas erradas contam para o limite: quem acerta de primeira não gasta tentativa. Depois de 5 erros o código é invalidado e é preciso pedir outro.POST
/
webstore
/
auth
/
verify
Verify Login Code
Cabeçalhos
Domínio da sua loja (ex: sualoja.centralcart.ai)
Corpo
application/json
⌘I